YPBIND(8)

NAME
ypbind - create and maintain a binding to a YP server

SYNOPSIS
ypbind [-broadcast] [-insecure] [-ypset] [-ypsetme]

DESCRIPTION
ypbind finds the server for a particular YP domain and stores information about it in a binding file. This binding information includes the IP address of the server associated with that particular domain and which port the server is using. This information is stored in the directory /var/yp/binding in a file named with the convention <domain>.version, where <domain> is the relevant domain. The YP system only supplies information on version 2.

If ypbind is started without the -broadcast option, ypbind steps through the list of YP servers specified in /var/yp/binding/<domain>.ypservers and contacts each in turn attempting to bind to that server. It is strongly recommended that these hosts are in the local hosts file, and that hosts are looked up in local files before the YP hosts map.

If ypbind is started with the -broadcast option, or if /var/yp/binding/<domain>.ypservers does not exist, ypbind broadcasts to find a process willing to serve maps for the client's domain.

Once a binding is established, ypbind maintains this binding by periodically communicating with the server to which it is bound. If the binding is somehow lost, e.g by server reboot, ypbind marks the domain as unbound and attempts to re-establish the binding. When the binding is once again successful, ypbind marks the domain as bound and resumes its periodic check.

The options are as follows:

-broadcast
    sends a broadcast requesting a YP server to which to bind.

-insecure
    do not require that the server is running on a reserved port. This may be necessary when connecting to SunOS 3.x or ULTRIX YP servers.

-ypset
    ypset(8) may be used to change the server to which a domain is bound.

-ypsetme
    ypset(8) may be used only from this machine to change the server to which a domain is bound.

The -broadcast -ypset, and -ypsetme, options are inherently insecure and should be avoided.

FILES
/var/yp/binding/<domain>.version - binding file for <domain>. /var/yp/binding/<domain>.ypservers - explicit list of servers to bind to for <domain>.

DIAGNOSTICS
Messages are send to syslog daemon using facility LOG_DAEMON.

SEE ALSO
domainname(1), ypcat(1), ypmatch(1), yppoll(8), ypset(8), ypwhich(1), yp(8)

AUTHOR
This version of ypbind was originally implemented by Theo de Raadt. The ypservers support was implemented by Luke Mewburn.